%define major		0
%define libname		%mklibname mms %{major}
%define develname	%mklibname mms -d

Summary:        MMS stream protocol library
Name:           libmms
Version:        0.6.4
Release:	%mkrel 8
License:	LGPLv2.1
Group:          System/Libraries
Source:         https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
URL:            http://www.sf.net/projects/libmms
BuildRequires:	glib2-devel

%description
Libmms is a library implementing the MMS streaming protocol.

%package -n %{libname}
Group: System/Libraries
Summary: Shared library implementing the MMS protocol

%description -n %{libname}
Libmms is a library implementing the mms streaming protocol.

%package -n %{develname}
Summary: Development headers for developing with libmms
Group:	 Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname mms 0 -d

%description -n %{develname}
This package provides the necessary development headers and libraries
to allow you to build programs that use libmms.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc AUTHORS ChangeLog README README.LICENSE
%{_libdir}/libmms.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/libmms
%{_libdir}/libmms.so
%{_libdir}/pkgconfig/libmms.pc


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 0.6.4-8.mga9
+ Revision: 1795140
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.6.4-7.mga8
+ Revision: 1514238
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.6.4-6.mga7
+ Revision: 1298998
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 02 2016 umeabot <umeabot> 0.6.4-5.mga6
+ Revision: 932754
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.4-4.mga5
+ Revision: 740778
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.4-3.mga5
+ Revision: 726758
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.4-2.mga5
+ Revision: 681607
- Mageia 5 Mass Rebuild

* Mon Apr 21 2014 luigiwalser <luigiwalser> 0.6.4-1.mga5
+ Revision: 617306
- 0.6.4 (fixes CVE-2014-2892)

* Fri Oct 18 2013 umeabot <umeabot> 0.6.2-4.mga4
+ Revision: 507179
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6.2-3.mga3
+ Revision: 357772
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 06 2011 ahmad <ahmad> 0.6.2-2.mga1
+ Revision: 47658
- don't ship .a, .la
- drop old/unneeded scriptlets
- drop buildroot tag
- imported package libmms


* Sat Feb 05 2011 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 636200
- new version
- new URL

* Sun Aug 15 2010 Emmanuel Andry <eandry@mandriva.org> 0.6-1mdv2011.0
+ Revision: 569838
- New version 0.6
- check major

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2010.1
+ Revision: 481646
- new version
- new URL

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4-3mdv2010.0
+ Revision: 425621
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.4-2mdv2009.0
+ Revision: 222930
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2008.1
+ Revision: 120763
- new version

* Thu Jul 26 2007 Adam Williamson <awilliamson@mandriva.org> 0.3-2mdv2008.0
+ Revision: 55729
- rebuild for 2008
- new devel policy
- spec clean
- Import libmms



* Fri Aug  4 2006 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2007.0
- drop merged patch
- New release 0.3

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 0.2-3mdv2007.0
- replace patch by Debian version (Stew Benedict)

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 0.2-2mdv2007.0
- security fix for CVE-2006-2200

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.2-1mdk
- New release 0.2
- use mkrel

* Tue Mar  8 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial mdk package

* Thu Dec 9 2004 Christian Schaller <christian@fluendo.com>
-first attempt at SPEC
